{% extends 'public/public.html.twig' %}

{% block javascripts %}
    <script src="{{ asset('assets/js/template/ressource/form.js') }}"></script>
    <script src="{{ asset('assets/js/class/model/MediaObjectModel.js') }}"></script>
    <script src="{{ asset('assets/js/class/model/RessourceModel.js') }}"></script>
    <script src="{{ asset('assets/js/class/model/CategorieRessourceModel.js') }}"></script>
    <script src="{{ asset('assets/js/class/model/PartageModel.js') }}"></script>
    <script src="{{ asset('assets/js/class/model/TypeRessourceModel.js') }}"></script>
    <script src="{{ asset('assets/js/class/model/TypeRelationModel.js') }}"></script>
    {{ parent() }}
{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('assets/css/public/ressource_creation.css') }}">
    {{ parent() }}
{% endblock %}

{% block content %}

    {% if ressource is defined %}

        {% set message %}
            <h1>Cette page est en développement.<br/>Veuillez nous excusez pour le dérangement.</h1>
        {% endset %}

        {% include('/message_page.html.twig') %}

    {% else %}

        <form class="ressourceCreationForm" id="RessourceCreation-Form">
            <h1 class='h1Ressource'>Création d'une ressource</h1>
            <div class="headerCreation">

                {# <div class="inputsCreation"> #}

                <div class='inputsFirstRow'>
                    <label for="ressource-title">Titre</label>
                    <input type="text" id="resource-title" required>
                    <div id="error-titre" class="error" style="display: none"></div>
                    <label for="ressource-category">Catégorie</label>
                    <select id="resource-category" required></select>
                    <div id="error-categorie_ressource" class="error" style="display: none"></div>
                    <label for="ressource-type">Type de la ressource</label>
                    <select id='ressource-type' required></select>
                    <div id="error-type_ressource" class="error" style="display: none"></div>
                    <label for="ressource-type-relation">Partage avec</label>
                    <select id='ressource-type-relation'></select>
                    <div id="error-type_relation" class="error" style="display: none"></div>
                </div>

                {# <div class='inputsSecondRow'> #}

                {# </div> #}

                {# </div> #}

                <div class="en-dev imgRessource img">
                    <img id="imgcreation">
                </div>

            </div>

            <div style="display: none" id="bodyCreation">
                <div id="error-contenu" class="error" style="display: none"></div>
                <div style="display: none" class="d-flex column" id="div-url">
                    <label for="input-url">URL</label>
                    <input type='URL' id='input-url'>
                    <div id="error-contenu-url" class="error" style="display: none"></div>
                </div>
                <div style="display: none" class="d-flex column" id="div-text">
                    <label for="input-text">Contenu</label>
                    <textarea id="input-text" rows="10" cols="50"></textarea>
                    <div id="error-contenu-text" class="error" style="display: none"></div>
                </div>
                <div style="display: none" class="d-flex column" id="div-media">
                    <label for="input-media">Fichier</label>
                    <input type='file' id='input-media'>
                    <div id="error-contenu-media" class="error" style="display: none"></div>
                    {# <div class="dropzone en-dev"> #}
                    {# <input type='file' id='input-media'> #}
                    {# </div> #}
                </div>
                <button id='ressource-btn-create'>Créer</button>
            </div>
            <div id="noTypeChoose">
                {% set message %}
                    <h1>Veuillez sélectionner un type de ressource<br/>avant de passer à l'étape suivante</h1>
                {% endset %}

                {% include('/message_page.html.twig') %}
            </div>
        </form>

    {% endif %}

{% endblock %}
